Package com.independentsoft.office.spreadsheet

# Class WorkbookView

java.lang.Object
com.independentsoft.office.spreadsheet.WorkbookView

public class WorkbookView extends Object
The Class WorkbookView.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkbookView()`
  Instantiates a new workbook view.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WorkbookView`
  `clone()`
  `int`
  `getActiveSheetIndex()`
  Gets the active sheet index.
  `int`
  `getFirstSheet()`
  Gets the first sheet.
  `int`
  `getSheetTabRatio()`
  Gets the sheet tab ratio.
  `int`
  `getUpperLeftCornerX()`
  Gets the upper left corner x.
  `int`
  `getUpperLeftCornerY()`
  Gets the upper left corner y.
  `SheetVisibilityType`
  `getVisibilityState()`
  Gets the visibility state.
  `int`
  `getWindowHeight()`
  Gets the window height.
  `int`
  `getWindowWidth()`
  Gets the window width.
  `boolean`
  `isAutoFilterDateGrouping()`
  Checks if is auto filter date grouping.
  `boolean`
  `isMinimized()`
  Checks if is minimized.
  `boolean`
  `isShowHorizontalScroll()`
  Checks if is show horizontal scroll.
  `boolean`
  `isShowSheetTabs()`
  Checks if is show sheet tabs.
  `boolean`
  `isShowVerticalScroll()`
  Checks if is show vertical scroll.
  `void`
  `setActiveSheetIndex​(int activeSheetIndex)`
  Sets the active sheet index.
  `void`
  `setAutoFilterDateGrouping​(boolean autoFilterDateGrouping)`
  Sets the auto filter date grouping.
  `void`
  `setFirstSheet​(int firstSheet)`
  Sets the first sheet.
  `void`
  `setMinimized​(boolean minimized)`
  Sets the minimized.
  `void`
  `setSheetTabRatio​(int sheetTabRatio)`
  Sets the sheet tab ratio.
  `void`
  `setShowHorizontalScroll​(boolean showHorizontalScroll)`
  Sets the show horizontal scroll.
  `void`
  `setShowSheetTabs​(boolean showSheetTabs)`
  Sets the show sheet tabs.
  `void`
  `setShowVerticalScroll​(boolean showVerticalScroll)`
  Sets the show vertical scroll.
  `void`
  `setUpperLeftCornerX​(int upperLeftCornerX)`
  Sets the upper left corner x.
  `void`
  `setUpperLeftCornerY​(int upperLeftCornerY)`
  Sets the upper left corner y.
  `void`
  `setVisibilityState​(SheetVisibilityType visibilityState)`
  Sets the visibility state.
  `void`
  `setWindowHeight​(int windowHeight)`
  Sets the window height.
  `void`
  `setWindowWidth​(int windowWidth)`
  Sets the window width.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WorkbookView

    public WorkbookView()
    Instantiates a new workbook view.

- ## Method Details

  - ### clone

    public WorkbookView clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getActiveSheetIndex

    public int getActiveSheetIndex()
    Gets the active sheet index.
    Returns:
      the active sheet index

  - ### setActiveSheetIndex

    public void setActiveSheetIndex​(int activeSheetIndex)
    Sets the active sheet index.
    Parameters:
      `activeSheetIndex` - the new active sheet index

  - ### isAutoFilterDateGrouping

    public boolean isAutoFilterDateGrouping()
    Checks if is auto filter date grouping.
    Returns:
      true, if is auto filter date grouping

  - ### setAutoFilterDateGrouping

    public void setAutoFilterDateGrouping​(boolean autoFilterDateGrouping)
    Sets the auto filter date grouping.
    Parameters:
      `autoFilterDateGrouping` - the new auto filter date grouping

  - ### getFirstSheet

    public int getFirstSheet()
    Gets the first sheet.
    Returns:
      the first sheet

  - ### setFirstSheet

    public void setFirstSheet​(int firstSheet)
    Sets the first sheet.
    Parameters:
      `firstSheet` - the new first sheet

  - ### isMinimized

    public boolean isMinimized()
    Checks if is minimized.
    Returns:
      true, if is minimized

  - ### setMinimized

    public void setMinimized​(boolean minimized)
    Sets the minimized.
    Parameters:
      `minimized` - the new minimized

  - ### isShowHorizontalScroll

    public boolean isShowHorizontalScroll()
    Checks if is show horizontal scroll.
    Returns:
      true, if is show horizontal scroll

  - ### setShowHorizontalScroll

    public void setShowHorizontalScroll​(boolean showHorizontalScroll)
    Sets the show horizontal scroll.
    Parameters:
      `showHorizontalScroll` - the new show horizontal scroll

  - ### isShowSheetTabs

    public boolean isShowSheetTabs()
    Checks if is show sheet tabs.
    Returns:
      true, if is show sheet tabs

  - ### setShowSheetTabs

    public void setShowSheetTabs​(boolean showSheetTabs)
    Sets the show sheet tabs.
    Parameters:
      `showSheetTabs` - the new show sheet tabs

  - ### isShowVerticalScroll

    public boolean isShowVerticalScroll()
    Checks if is show vertical scroll.
    Returns:
      true, if is show vertical scroll

  - ### setShowVerticalScroll

    public void setShowVerticalScroll​(boolean showVerticalScroll)
    Sets the show vertical scroll.
    Parameters:
      `showVerticalScroll` - the new show vertical scroll

  - ### getSheetTabRatio

    public int getSheetTabRatio()
    Gets the sheet tab ratio.
    Returns:
      the sheet tab ratio

  - ### setSheetTabRatio

    public void setSheetTabRatio​(int sheetTabRatio)
    Sets the sheet tab ratio.
    Parameters:
      `sheetTabRatio` - the new sheet tab ratio

  - ### getVisibilityState

    public SheetVisibilityType getVisibilityState()
    Gets the visibility state.
    Returns:
      the visibility state

  - ### setVisibilityState

    public void setVisibilityState​(SheetVisibilityType visibilityState)
    Sets the visibility state.
    Parameters:
      `visibilityState` - the new visibility state

  - ### getWindowHeight

    public int getWindowHeight()
    Gets the window height.
    Returns:
      the window height

  - ### setWindowHeight

    public void setWindowHeight​(int windowHeight)
    Sets the window height.
    Parameters:
      `windowHeight` - the new window height

  - ### getWindowWidth

    public int getWindowWidth()
    Gets the window width.
    Returns:
      the window width

  - ### setWindowWidth

    public void setWindowWidth​(int windowWidth)
    Sets the window width.
    Parameters:
      `windowWidth` - the new window width

  - ### getUpperLeftCornerX

    public int getUpperLeftCornerX()
    Gets the upper left corner x.
    Returns:
      the upper left corner x

  - ### setUpperLeftCornerX

    public void setUpperLeftCornerX​(int upperLeftCornerX)
    Sets the upper left corner x.
    Parameters:
      `upperLeftCornerX` - the new upper left corner x

  - ### getUpperLeftCornerY

    public int getUpperLeftCornerY()
    Gets the upper left corner y.
    Returns:
      the upper left corner y

  - ### setUpperLeftCornerY

    public void setUpperLeftCornerY​(int upperLeftCornerY)
    Sets the upper left corner y.
    Parameters:
      `upperLeftCornerY` - the new upper left corner y